Loading...
Searching...
No Matches
fastjet::thread_safety_helpers::FirstTimeTrue Class Reference

provides an object wich will return "true" the first time () is called and false afterwards More...

`#include <fastjet/internal/thread_safety_helpers.hh>`

## Public Member Functions

bool | operator() ()

## Detailed Description

provides an object wich will return "true" the first time () is called and false afterwards

Definition at line 231 of file thread_safety_helpers.hh.

## Constructor & Destructor Documentation

## FirstTimeTrue()

fastjet::thread_safety_helpers::FirstTimeTrue::FirstTimeTrue | ( |  | ) |

inline

Definition at line 233 of file thread_safety_helpers.hh.

## Member Function Documentation

## operator()()

bool fastjet::thread_safety_helpers::FirstTimeTrue::operator() | ( |  | ) |

inline

Definition at line 234 of file thread_safety_helpers.hh.

The documentation for this class was generated from the following file:

- include/fastjet/internal/thread_safety_helpers.hh